Skip to main content

Get subaccounts

GET 

/subaccounts

Retrieves the list of all subaccounts under the main account.

info

This is a private endpoint. To send requests, you need to authenticate.

info

To use this private endpoint, you must use the API key of your main account with the Administrative permission.

Rate limit weight points: 5

Request

Query Parameters

    page integer

    Your description of the subaccount, up to 100 characters.

    maxItems integer

    The maximum number of subaccounts per page.

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    items object[]

    Array of objects per returned subaccountId.

  • Array [
  • idstring<uuid>

    The unique identifier of the subaccount.

    typestring

    The type of the subaccount.

    Possible values: [spot, margin]

    statusstring

    Status of the subaccount.

    Possible values: [open, closed]

    labelstring

    Your description of the subaccount, up to 100 characters.

    Possible values: <= 100 characters

  • ]
  • currentPageinteger

    The current page number.

    totalPagesinteger

    The total number of returned pages.

    maxItemsinteger

    The maximum number of subaccounts per page.